Submit a question to our community and get an answer from real people.
Submit
jwade35

If you have a 3G i phone ...and try to get app that says you need iOS4.3 does it mean you need at least a 4G phone ?

wanted to try postal pix ??

Report as

It means you will have to go to "settings", "general", then "software update". If it says you are up to date then unfortunately yes, you would need a newer model of iPhone/iPod.

Helpful (1) Fun Thanks for voting Comments (1)
Report as
jwade35
Mine does not have a " software update ?
Report as
Add a comment...
Do you have an answer?
Answer this question...
Did you mean?
Login or Join the Community to answer
Popular Searches